name: donkey

channels:
  - defaults
  - conda-forge
#  - pytorch

dependencies:
  - python=3.7
  - h5py
  - pillow
  - opencv
  - matplotlib
  - tornado
  - docopt
  - pandas
  - pylint
  - pytest
  - pytest-cov
  - codecov
  - pip
  - imgaug
  - progress
  - moviepy
  - paho-mqtt
  - PrettyTable
  - pyfiglet
  - mypy
  - pytorch=1.7.1
  - torchvision
  - pytorch-lightning
  - numpy
  - psutil
  - kivy=2.0.0
  - plotly
  - pip:
    - tensorflow==2.2.0 -i https://pypi.tuna.tsinghua.edu.cn/simple
    - git+https://github.com/autorope/keras-vis.git
    - simple-pid -i https://pypi.tuna.tsinghua.edu.cn/simple
    - opencv-python-headless -i https://pypi.tuna.tsinghua.edu.cn/simple
    - torchaudio -i https://pypi.tuna.tsinghua.edu.cn/simple

